#ifndef _VIA_H_
#define _VIA_H_

#include "baseDB.h"

class Via
{
    public:
        Via() : _cap(0), _demand(0) {}

        //  write
        void setCap( int area ) { _cap = area; }
        void addDemand( int area ) { _demand += area; }
        
        //  read
		int cap() const { return _cap;}
		int demand() const { return _demand;}
        int of() const { return max( 0, _demand - _cap ); }
    private:
        int _cap, _demand;
};

#endif
